# Deprecated API

## Contents

- For Removal
- Enums
- Methods
- Constructors

- For Removal
  Element | Description
  --- | ---
  org.apache.lucene.analysis.ja.dict.BinaryDictionary.getResource​(BinaryDictionary.ResourceScheme, String) |
  org.apache.lucene.analysis.ja.dict.BinaryDictionary.ResourceScheme |
  org.apache.lucene.analysis.ja.dict.ConnectionCosts​(BinaryDictionary.ResourceScheme, String) | replaced by `ConnectionCosts(Path)` for files and `ConnectionCosts(URL)` for classpath/module resources.
  org.apache.lucene.analysis.ja.dict.TokenInfoDictionary​(BinaryDictionary.ResourceScheme, String) | replaced by `TokenInfoDictionary(Path, Path, Path, Path)` for files and `TokenInfoDictionary(URL, URL, URL, URL)` for classpath/module resources
  org.apache.lucene.analysis.ja.dict.UnknownDictionary​(BinaryDictionary.ResourceScheme, String) | replaced by `UnknownDictionary(Path, Path, Path)` for files and `UnknownDictionary(URL, URL, URL)` for classpath/module resources

- Enums
  Enum | Description
  --- | ---
  org.apache.lucene.analysis.ja.dict.BinaryDictionary.ResourceScheme |

- Methods
  Method | Description
  --- | ---
  org.apache.lucene.analysis.ja.dict.BinaryDictionary.getResource​(BinaryDictionary.ResourceScheme, String) |

- Constructors
  Constructor | Description
  --- | ---
  org.apache.lucene.analysis.ja.dict.ConnectionCosts​(BinaryDictionary.ResourceScheme, String) | replaced by `ConnectionCosts(Path)` for files and `ConnectionCosts(URL)` for classpath/module resources.
  org.apache.lucene.analysis.ja.dict.TokenInfoDictionary​(BinaryDictionary.ResourceScheme, String) | replaced by `TokenInfoDictionary(Path, Path, Path, Path)` for files and `TokenInfoDictionary(URL, URL, URL, URL)` for classpath/module resources
  org.apache.lucene.analysis.ja.dict.UnknownDictionary​(BinaryDictionary.ResourceScheme, String) | replaced by `UnknownDictionary(Path, Path, Path)` for files and `UnknownDictionary(URL, URL, URL)` for classpath/module resources